3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php $hadException = false; try { throw new Exception('do not'); } catch(Exception $e) { $hadException=true; throw new Exception('do'); } finally { var_dump($hadException); echo "Juhu\n"; }
based on nE68E
Output for 7.0.0 - 7.3.1
bool(true) Juhu Fatal error: Uncaught Exception: do in /in/ot86k:8 Stack trace: #0 {main} thrown in /in/ot86k on line 8
Process exited with code 255.
Output for 5.5.0 - 5.6.28
bool(true) Juhu Fatal error: Uncaught exception 'Exception' with message 'do' in /in/ot86k:8 Stack trace: #0 {main} thrown in /in/ot86k on line 8
Process exited with code 255.
Output for 5.1.0 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/ot86k on line 9
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected '{' in /in/ot86k on line 9
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected '{' in /in/ot86k on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected '{' in /in/ot86k on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/ot86k on line 4
Process exited with code 255.